rpm 4.19.1.1 The RPM Package Manager

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs | Enumerations | Functions
rpmbuild.h File Reference
Building & signing packages: » Build API.
`#include <rpm/rpmds.h>`
`#include <rpm/rpmspec.h>`

Go to the source code of this file.

## Data Structures
struct | rpmBuildArguments_s

## Macros
#define | RPMRC_MISSINGBUILDREQUIRES 11

## Typedefs
typedef rpmFlags | rpmBuildFlags
typedef rpmFlags | rpmBuildPkgFlags
typedef struct rpmBuildArguments_s * | BTA_t

## Enumerations
enum | rpmBuildFlags_e { RPMBUILD_NONE = 0 , RPMBUILD_PREP = (1 << 0) , RPMBUILD_BUILD = (1 << 1) , RPMBUILD_INSTALL = (1 << 2) , RPMBUILD_CHECK = (1 << 3) , RPMBUILD_CLEAN = (1 << 4) , RPMBUILD_FILECHECK = (1 << 5) , RPMBUILD_PACKAGESOURCE = (1 << 6) , RPMBUILD_PACKAGEBINARY = (1 << 7) , RPMBUILD_RMSOURCE = (1 << 8) , RPMBUILD_RMBUILD = (1 << 9) , RPMBUILD_STRINGBUF = (1 << 10) , RPMBUILD_RMSPEC = (1 << 11) , RPMBUILD_FILE_FILE = (1 << 16) , RPMBUILD_FILE_LIST = (1 << 17) , RPMBUILD_POLICY = (1 << 18) , RPMBUILD_CHECKBUILDREQUIRES = (1 << 19) , RPMBUILD_BUILDREQUIRES = (1 << 20) , RPMBUILD_DUMPBUILDREQUIRES = (1 << 21) , RPMBUILD_CONF = (1 << 22) , RPMBUILD_NOBUILD = (1 << 31) }
enum | rpmBuildPkgFlags_e { RPMBUILD_PKG_NONE = 0 , RPMBUILD_PKG_NODIRTOKENS = (1 << 0) }

## Functions
rpmSpec | rpmSpecParse (const char *specFile, rpmSpecFlags flags, const char *buildRoot)
Header | rpmSpecSourceHeader (rpmSpec spec)
rpmps | rpmSpecCheckDeps (rpmts ts, rpmSpec spec)
rpmds | rpmSpecDS (rpmSpec spec, rpmTagVal tag)
int | rpmSpecBuild (rpmts ts, rpmSpec spec, BTA_t buildArgs)

## Detailed Description

This is the only module users of librpmbuild should need to include.